Summary:        File-synchronization tool for Unix and Windows
Name:           unison
Version:        2.48.3
Release:        %mkrel 2
License:        GPLv2
Group:          File tools
URL:            http://www.cis.upenn.edu/~bcpierce/unison/
# Source from svn revision 511 from the 2.40 branch 
# (the 102 number comes from the make export)
# svn co https://webdav.seas.upenn.edu/svn/unison/branches/2.40
# cd 2.40
# make export
Source0:        http://www.seas.upenn.edu/~bcpierce/unison/download/releases/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        unison.png
Source2:        http://www.seas.upenn.edu/~bcpierce/unison/download/releases/%{name}-%{version}/%{name}-%{version}-manual.pdf
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel
BuildRequires:  pango-devel
BuildRequires:  ocaml-compiler
BuildRequires:  emacs-common
Requires:       openssh-clients 
Requires:       x11-font-schumacher-misc
Requires:       rsync

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%setup -q
%autopatch -p1

%build
make THREADS=true UISTYLE=gtk2

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE2} .

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;
EOF

%files
%doc NEWS TODO.txt README CONTRIB COPYING %{name}-%{version}-manual.pdf
%{_bindir}/*
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 2.48.3-2.mga6
+ Revision: 1056516
- Rebuild for fix in ocaml

* Sun Jan 24 2016 daviddavid <daviddavid> 2.48.3-1.mga6
+ Revision: 926921
- new version: 2.48.3

* Wed Oct 15 2014 umeabot <umeabot> 2.40.102-5.mga5
+ Revision: 741190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.40.102-4.mga5
+ Revision: 690049
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.40.102-3.mga4
+ Revision: 519903
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.40.102-2.mga3
+ Revision: 385067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.40.102-1.mga3
+ Revision: 343369
- new version 2.40.102 (fixes mga#8241)

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.40.65-2.mga3
+ Revision: 302072
- rebuild with new ocaml 4.00

* Tue Aug 14 2012 malo <malo> 2.40.65-1.mga3
+ Revision: 281373
- update to 2.40.65

* Mon Sep 19 2011 fwang <fwang> 2.40.63-2.mga2
+ Revision: 145227
- rebuild for new libpng

  + tv <tv>
    - drop merged patch
    - new release

* Wed Jul 13 2011 mikala <mikala> 2.40.61-2.mga2
+ Revision: 123830
- Fix Categories
- Fix BuildRequires
- use %%apply_patches

* Thu Mar 17 2011 mikala <mikala> 2.40.61-1.mga1
+ Revision: 72994
- Update to last stable (2.40.61)
- use %%{buildroot} install of $RPM_BUILD_ROOT
- drop patch1 (not needed anymore)
- Add  patch1 to fix mkProjectInfo.ml creation

* Tue Feb 22 2011 mikala <mikala> 2.32.52-2.mga1
+ Revision: 56490
- Remove BuildRoot
- Clean spec
- imported package unison


* Thu Dec 09 2010 Luc Menut <lmenut@mandriva.org> 2.32.52-2mdv2011.0
+ Revision: 616493
- add upstream patch to fix compilation with OCcaml 3.12
  drop unused patch Makefile.OCaml.patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

  + Sandro Cazzaniga <kharec@mandriva.org>
    - clean spec, not bumping rel.

* Thu Dec 24 2009 Funda Wang <fwang@mandriva.org> 2.32.52-1mdv2010.1
+ Revision: 482107
- New version 2.32.52

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 03 2008 Lev Givon <lev@mandriva.org> 2.27.57-1mdv2009.0
+ Revision: 231198
- Update to 2.27.57.

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-3mdv2008.0
+ Revision: 77708
- add icon from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Mar 17 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-3mdv2007.1
+ Revision: 145517
- enable threads
- requires x11-font-schumacher-misc (bug #24811)
- requires rsync

* Fri Jan 05 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 104646
- New version 2.17.1
  fix source URL
- Import unison

* Mon Aug 28 2006 Emmanuel Andry <eandry@mandriva.org> 2.13.16-2mdv2007.0
- switch to gtk+2
- xdg menu

* Fri Aug 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.13.16-1mdk
- 2.13.16
- %%mkrel
- wipe out buildroot at the beginning of %%install

* Wed Jul 06 2005 Lenny Cartier <lenny@mandriva.com> 2.12.0-1mdk
- 2.12.0

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.1-7mdk
- fix buildrequires

